package com.itant.shiwushu.ui.menu.me.info;


import com.itant.shiwushu.base.IBasePresenter;
import com.itant.shiwushu.base.IBaseView;
import com.itant.shiwushu.bean.User;

import java.io.File;

public interface UserInfoContract {
    interface View extends IBaseView {
        void onUpdateSuccess(User user);
        void onUpdateFailed(String message);
    }

    interface Presenter extends IBasePresenter {
        void updateUserData(String nickname, String saying, File headFile, String suffix);
    }
}